@import url("https://fonts.googleapis.com/css2?family=Jua&display=swap");

@import "reset.css";

.hidden {
  display: none;
}

body {
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-family: "Jua", sans-serif;
}

img {
  height: 100vh;
  width: 100vw;
  position: absolute;
  top: 0px;
  z-index: -1;
}

#clock {
  font-size: 70px;
  margin-bottom: 10px;
  color: grey;
}

#login-form input {
  height: 30px;
  margin: 10px;
  border: none;
  padding: 10px;
  border-bottom: 1.5px solid rgba(0, 0, 0, 0.3);
  text-align: center;
  background-color: rgba(0, 0, 0, 0);
  font-family: "Jua", sans-serif;
  font-size: 20px;
}

#greeting {
  font-size: 27px;
  color: grey;
}

#login-form input:first-child:focus {
  outline: none;
}

#todo {
  display: flex;
  flex-direction: column;
  background-color: rgb(255, 255, 255, 0.5);
  padding: 10px;
  border-radius: 15px;
  width: 200px;
  position: absolute;
  top: 5px;
  left: 7px;
}

#todo > span {
  font-size: 20px;
  background-color: rgb(255, 255, 255, 0.8);
  padding: 10px;
  margin-bottom: 10px;
  border-radius: 15px;
  padding-left: 30px;
}

#todo-form input {
  font-family: "Jua", sans-serif;
  border: none;
  background-color: transparent;
  font-size: 15px;
  border-bottom: 1.5px solid rgba(0, 0, 0, 0.3);
  padding: 7px;
  margin-bottom: 10px;
}

#todo-form input:focus {
  outline: none;
}

#todo-list {
  padding: 10px;
  padding-bottom: 0;
}

#todo-list > li {
  margin-bottom: 10px;
}

#todo-list button {
  border: none;
  background-color: rgb(255, 255, 255, 0.8);
  margin-left: 10px;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  color: grey;
}

#quote {
  position: absolute;
  bottom: 15px;
  color: white;
}

#weather {
  position: absolute;
  top: 10px;
  right: 10px;
}
